
From: "Andrew Chew" <achew@nvidia.com>

This patch updates include/linux/pci_ids.h with the CK804 audio controller
ID, and adds the CK804 audio controller to the sound/pci/intel8x0.c audio
driver.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/linux/pci_ids.h |    1 +
 25-akpm/sound/pci/intel8x0.c    |    5 +++++
 2 files changed, 6 insertions(+)

diff -puN include/linux/pci_ids.h~intel8x0c-to-include-ck804-audio-support include/linux/pci_ids.h
--- 25/include/linux/pci_ids.h~intel8x0c-to-include-ck804-audio-support	Tue Jul 27 14:00:44 2004
+++ 25-akpm/include/linux/pci_ids.h	Tue Jul 27 14:00:44 2004
@@ -1071,6 +1071,7 @@
 #define PCI_DEVICE_ID_NVIDIA_NFORCE_CK804_SATA2	0x0055
 #define PCI_DEVICE_ID_NVIDIA_NVENET_8		0x0056
 #define PCI_DEVICE_ID_NVIDIA_NVENET_9		0x0057
+#define PCI_DEVICE_ID_NVIDIA_CK804_AUDIO	0x0059
 #define PCI_DEVICE_ID_NVIDIA_NFORCE2_IDE	0x0065
 #define PCI_DEVICE_ID_NVIDIA_NVENET_2		0x0066
 #define PCI_DEVICE_ID_NVIDIA_MCP2_AUDIO		0x006a
diff -puN sound/pci/intel8x0.c~intel8x0c-to-include-ck804-audio-support sound/pci/intel8x0.c
--- 25/sound/pci/intel8x0.c~intel8x0c-to-include-ck804-audio-support	Tue Jul 27 14:00:44 2004
+++ 25-akpm/sound/pci/intel8x0.c	Tue Jul 27 14:01:27 2004
@@ -150,6 +150,9 @@ MODULE_PARM_DESC(mpu_port, "MPU401 port 
 #ifndef PCI_DEVICE_ID_NVIDIA_CK8S_AUDIO
 #define PCI_DEVICE_ID_NVIDIA_CK8S_AUDIO	0x00ea
 #endif
+#ifndef PCI_DEVICE_ID_NVIDIA_CK804_AUDIO
+#define PCI_DEVICE_ID_NVIDIA_CK804_AUDIO 0x0059
+#endif
 
 enum { DEVICE_INTEL, DEVICE_INTEL_ICH4, DEVICE_SIS, DEVICE_ALI, DEVICE_NFORCE };
 
@@ -460,6 +463,7 @@ static struct pci_device_id snd_intel8x0
 	{ 0x10de, 0x008a, PCI_ANY_ID, PCI_ANY_ID, 0, 0, DEVICE_NFORCE },	/* CK8 */
 	{ 0x10de, 0x00da, PCI_ANY_ID, PCI_ANY_ID, 0, 0, DEVICE_NFORCE },	/* NFORCE3 */
 	{ 0x10de, 0x00ea, PCI_ANY_ID, PCI_ANY_ID, 0, 0, DEVICE_NFORCE },	/* CK8S */
+	{ 0x10de, 0x0059, PCI_ANY_ID, PCI_ANY_ID, 0, 0, DEVICE_NFORCE },	/* CK804 */
 	{ 0x1022, 0x746d, PCI_ANY_ID, PCI_ANY_ID, 0, 0, DEVICE_INTEL },	/* AMD8111 */
 	{ 0x1022, 0x7445, PCI_ANY_ID, PCI_ANY_ID, 0, 0, DEVICE_INTEL },	/* AMD768 */
 	{ 0x10b9, 0x5455, PCI_ANY_ID, PCI_ANY_ID, 0, 0, DEVICE_ALI },   /* Ali5455 */
@@ -2616,6 +2620,7 @@ static struct shortname_table {
 	{ PCI_DEVICE_ID_NVIDIA_MCP3_AUDIO, "NVidia nForce3" },
 	{ PCI_DEVICE_ID_NVIDIA_CK8S_AUDIO, "NVidia CK8S" },
 	{ PCI_DEVICE_ID_NVIDIA_CK8_AUDIO, "NVidia CK8" },
+	{ PCI_DEVICE_ID_NVIDIA_CK804_AUDIO, "NVidia CK804" },
 	{ 0x746d, "AMD AMD8111" },
 	{ 0x7445, "AMD AMD768" },
 	{ 0x5455, "ALi M5455" },
_
